using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dclipnode_t
	{
		public int planenum;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 2)]
		public short[] children;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dclipnode_t));
	}
}
